function curveFilterTest()
    % Finds and prints scores of foci in image
    image = imread('testImage.tif');
    
    figure(1);
    clf;
    imshow(image, []);

    data = findFoci(image, 1.5);

    x = [data.x];
    y = [data.y];
    scores = {};
    
    meanScore = mean([data.score]);
    stdScore = std([data.score]);

    indices = find([data.score] < 500);
    x(indices) = [];
    y(indices) = [];
    
    % Compile score strings
    indices = find([data.score] >= 500);
    for i = 1:numel(indices)
        scores{i} = num2str(data(indices(i)).score);
    end

    text(x, y, scores, 'Color', 'white')
end